<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
    <HEAD>
        <TITLE>DC to Frame test</TITLE>
    </HEAD>

    <BODY>
        <H1 align="center">DC to Frame test </H1>

        <H2>Test Objectives</H2>
		<UL>
		<LI>Verify that the datacondAPI can process raw frame data and generate output as frame files.</LI>	
		</UL>
		
		<H2>APIs affected by this test</H2>
		<UL>
        <li>All APIs are exercised via a dataPipeline command.</li>
		</UL>
				
        <H2>Setup</H2>
        <ul>
        <li>ligotools package is required for running this test. Check that it is mounted</li><p>
        <li>Install the following tests script in a directory on your local machine or the ldas system
		<UL><p>
        <li><CODE><font color='brown'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/dc2frame.test?rev=HEAD;content-type=text%2Fplain'>dc2frame.test</a> - dataPipeline command to direct datacondAPI to
        process frame data as time series,FrequencySequence, PSD and CSD</font></li>
		</UL>
        </li><p>
        <li>S2 frame files must be mounted on ldas system and known to diskcacheAPI:<p>
        </ul>
        <H2>Test Execution</H2>

		<p>cd &lt;your scripts directory&gt;<p>
		
        <B>Usage:</B> <CODE>dc2frame.test [options] >& dc2frametest.log & </CODE>

        <P><TABLE border=1 cellspacing=0 cellpadding=10>
            <TR>
                <TH><B>Option</B>
                <TH><B>Description</B>
			<TR>
                <TD valign=top><CODE>&lt;-s&gt;</CODE>
                <TD>ldas site e.g. dev, lho, ldas-suntest3
        </TABLE><p>e.g.<pre><font color='brown'>
            dc2frame.test -s dev >& dc2frametest.log &
        </font></pre>
		<p>
		<H2>Test Validation:</H2>
        The script issues a dataPipeine job to retrieve raw frame data for the datacondAPI to 
        process as time series, FrequencySequence, PSD and CSD and output the results as a single
        frame file. <p>
        Frame verification utilities FrCheck and FrVerify are run against the output to
        check that the frame file generated has no errors. <p>

		Expect 1 job to complete successfully:
        e.g. <pre><font color='green'>
        Your results:
        /ldas_outgoing/jobs/LDAS-DEV_3191/LDAS-DEV31916899/Z-P_LDAS_31916899_datacondAPI_LDAS-730524000-1.gwf
        
        </font><font color='black'> and verification by FrCheck and Frverify</font>
        <font color='green'>
        exec /ldas/bin/FrVerify --verbose /ldas_outgoing/jobs/LDAS-DEV_3191/LDAS-DEV31916899/Z-P_LDAS_31916899_datacondAPI_LDAS-730524000-1.gwf
        /ldas_outgoing/jobs/LDAS-DEV_3191/LDAS-DEV31916899/Z-P_LDAS_31916899_datacondAPI_LDAS-730524000-1.gwf 0
        exec /ldcg/bin/FrCheck -i /ldas_outgoing/jobs/LDAS-DEV_3191/LDAS-DEV31916899/Z-P_LDAS_31916899_datacondAPI_LDAS-730524000-1.gwf
        Checking file /ldas_outgoing/jobs/LDAS-DEV_3191/LDAS-DEV31916899/Z-P_LDAS_31916899_datacondAPI_LDAS-730524000-1.gwf
        Compression will NOT be checked

        Sequentiel file reading. Please wait....
        1 frames read
        1 frame(s) in file. No read error. File Checksum OK (4cb039c1)

        Reading using the TOC. Please wait....
        Requested time range:         0 - 999999999
            File time range: 730524000 - 730524001
            1 frames read
            1 frame(s) in file. No read error. This file does not have frame checksums        
        </font></pre>
    </BODY>
</HTML>

